Subject: Re: [patch] Add process title to test_shm_mq worker

From: Nathan Bossart <[email-masked]>
Date: Mon, 2 Feb 2026 11:38:51 -0600

On Mon, Feb 02, 2026 at 06:31:56PM +0100, Michael Banck wrote:
> albeit just a test module, the test_shm_mq test can run a few seconds,
> and during that, it looks like this:
> 
> mbanck     2701  - Rsfo  0:00.51 postgres:
> 
> With the attached patch, it looks like this:
> 
> mbanck     2780  - Rsfo  0:01.63 postgres: test_shm_mq worker
> 
> I think the process title got lost in 5373bc2a where bgw_name was
> replaced with bgw_type. Maybe that was intentional, but the
> corresponding change to src/test/modules/worker_spi was made so that
> bgw_name was preserved/changed.

Seems reasonable to me.  While it's only a test module, folks might use it
as a starting point for their own module, so IMHO it's worth setting a good
example.  I'll wait for a couple, but otherwise I'll go commit this soon.

-- 
nathan

---

From: Nathan Bossart <[email-masked]>
Date: Mon, 2 Feb 2026 15:46:35 -0600

> example.  I'll wait for a couple, but otherwise I'll go commit this soon.

Committed.  I ended up moving the new line to the background worker
registration loop so that we can add the worker number to the name, too.

-- 
nathan